%global package_description \
This package is designed for storing passwords in a more secure way. \
Its implemantaion depends on D-Bus Secret Service API which is supported by GNOME Keyring (>= 2.30) \
and KSecretsService. It provides the following two main classes: secretstorage.Item and secretstorage.Collection. \
The former represents a secret item that has a label, a secret and some attributes, while the latter represents \
a place items where secrets are stored. \
With the support by Secret Service, SecretStorage provides many functions such as creating and deleting collections, \
editing items, locking and unlocking collections (also support asynchronous unlocking).

Name:           python-SecretStorage
Version:        2.3.1
Release:        11
Summary:        Python bindings to FreeDesktop.org Secret Service API
License:        BSD
URL:            http://launchpad.net/python-secretstorage
Source0:        https://files.pythonhosted.org/packages/source/S/SecretStorage/SecretStorage-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-nose python2-devel python2-sphinx gnome-keyring python2-cryptography
BuildRequires:  python2-dbus xorg-x11-server-Xvfb dbus-x11 python3-devel python3-nose python3-dbus python3-cryptography

%description
%{package_description}

%package -n python2-SecretStorage
Summary:        Python 2.x module for secure storing of passwords and secrets

Requires:       python2-dbus python2-cryptography
Recommends:     python2-gobject

%{?python_provide:%python_provide python2-SecretStorage}

%description -n python2-SecretStorage
%{package_description}

%package -n     python3-SecretStorage
Summary:        Python 3.x module for secure storing of passwords and secrets

Requires:       python3-dbus python3-cryptography
Recommends:     python3-gobject

%{?python_provide:%python_provide python3-SecretStorage}

%description -n python3-SecretStorage
%{package_description}

%package help
Summary:        SecretStorage documentation
Provides:       python-SecretStorage-doc = %{version}-%{release}
Obsoletes:      python-SecretStorage-doc < %{version}-%{release}

%description help
Documentation for SecretStorage

%prep
%autosetup -n SecretStorage-%{version} -p1
rm -rf %{py3dir}
cp -a . %{py3dir}
rm -rf SecretStorage.egg-info
rm .gitignore

%build
%py2_build
cd %{py3dir}
%py3_build
cd -

%{__python2} setup.py build_sphinx

%install
%py2_install
cd %{py3dir}
%py3_install
cd -

rm -rf build/sphinx/html/.buildinfo
rm -rf build/sphinx/doctrees

%check
cd tests
export $(dbus-launch)
PYTHONPATH=%{buildroot}%{python2_sitelib} xvfb-run -a %{__python2} -m unittest discover
cd -
cd %{py3dir}
PYTHONPATH=%{buildroot}%{python3_sitelib} xvfb-run -a %{__python3} -m unittest discover

%files -n python2-SecretStorage
%doc docs changelog README.rst
%license LICENSE
%{python2_sitelib}/SecretStorage-%{version}-py?.?.egg-info
%{python2_sitelib}/secretstorage

%files -n python3-SecretStorage
%doc docs changelog README.rst
%license LICENSE
%{python3_sitelib}/SecretStorage-%{version}-py?.?.egg-info
%{python3_sitelib}/secretstorage

%files help
%doc build/sphinx/html/*

%changelog
* Mon Nov 25 2019 lihao <lihao129@huawei.com> - 2.3.1-11
- Package Init

* Fri Nov 22 2019 lihao <lihao129@huawei.com> - 2.3.1-10.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix testcase error

